#include <bits/stdc++.h>

using namespace std;

typedef long long int ll;
typedef long double ld;

typedef pair<ll, ll> ii;
typedef vector<ll> vi;
typedef vector<ii> vii;

#define PB push_back

#define FOR(prom,a,b) for( ll prom = (a); prom < (ll)(b); ++prom )
#define F(a) FOR(i,0,a)
#define FF(a) FOR(j,0,a)

#define EPS (1e-10)
#define INF ((1<<30)-1)

#define EQ(a,b) (fabs(a-b)/fabs(a+b) < EPS)
char arr[27][27];
map<char, int> letters;

int main ()
{
	ios::sync_with_stdio(false);
	int N;
	string S;
	while(cin>>N){
		letters.clear();
		F(N){
			cin>>S;
			FF(S.length())
				arr[i][j]=S[j];
		}
		
		set<char> f[5];
		
		F(3) FF(N) {
			f[i].insert(arr[i][j]);
		}
		
		set<char> & ref = f[1];
		if ( f[1] != f[2] && f[1] != f[3] ) {
			ref = f[2];
		}
		
		int chybaRadek, chybaSloupec; char chybaZnak;
		
		F(N) {
			f[3].clear();
			FF(N) {
				f[3].insert(arr[i][j]);
			}
			
			if ( f[3] != ref ) {
				chybaRadek = i;
				f[4] = f[3];
				break;
			}
		}
		
		F(N) {
			f[3].clear();
			FF(N) {
				f[3].insert(arr[j][i]);
			}
			
			if ( f[3] != ref ) {
				chybaSloupec = i;
				break;
			}
		}
		
		for ( auto r1 = ref.begin(); r1 != ref.end(); ++r1 ) {
			if ( f[4].count( *r1 ) == 0 ) {
				chybaZnak = *r1;
				break;
			}
		}
		
		cout << ( chybaRadek + 1 ) << " " << ( chybaSloupec + 1 ) << " " << chybaZnak << endl;
		

	
	}

	return 0;
}
